PHY_READ_MMD_INDIREC(9)

NAME
phy_read_mmd_indirect - reads data from the MMD registers

SYNOPSIS

int phy_read_mmd_indirect(struct phy_device * phydev, int prtad, int devad, int addr);

ARGUMENTS

phydev
    The PHY device bus

prtad
    MMD Address

devad
    MMD DEVAD

addr
    PHY address on the MII bus

DESCRIPTION

it reads data from the MMD registers (clause 22 to access to clause 45) of the specified phy address.

TO READ THESE REGISTER WE HAVE

1) Write reg 13 // DEVAD 2) Write reg 14 // MMD Address 3) Write reg 13 // MMD Data Command for MMD DEVAD 3) Read reg 14 // Read MMD data

COPYRIGHT